ChartDirector Ver 5.0 (PHP Edition)

Box.setBackground

Usage

setBackground(color [, edgeColor [, raisedEffect ]])

Description

Sets the background color, border color and 3D border effect of the box.

Arguments

Argument | Default | Description
--- | --- | ---
color | (Mandatory) | The background color of the box.
edgeColor | -1 | The border color of the box.
raisedEffect | 0 | The 3D border width. For positive values, the border will appear raised. For negative values, the border will appear depressed. A zero value means the border will appear flat. This argument is also used to support glassEffect, softLighting and cylinderEffect effects.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.